| Kea 3.0.2-git

ha_service.h File Reference
`#include <communication_state.h>`
`#include <ha_config.h>`
`#include <ha_server_type.h>`
`#include <lease_sync_filter.h>`
`#include <lease_update_backlog.h>`
`#include <query_filter.h>`
`#include <asiolink/asio_wrapper.h>`
`#include <asiolink/io_service.h>`
`#include <asiolink/tls_socket.h>`
`#include <cc/data.h>`
`#include <config/cmd_http_listener.h>`
`#include <dhcp/pkt4.h>`
`#include <http/response.h>`
`#include <dhcpsrv/lease.h>`
`#include <dhcpsrv/network_state.h>`
`#include <hooks/parking_lots.h>`
`#include <http/client.h>`
`#include <util/state_model.h>`
`#include <boost/noncopyable.hpp>`
`#include <boost/shared_ptr.hpp>`
`#include <functional>`
`#include <map>`
`#include <mutex>`
`#include <vector>`
Include dependency graph for ha_service.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::ha::HAService
| High availability service. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::ha

## Typedefs
typedef HARelationshipMapper< HAService > | isc::ha::HAServiceMapper
| Type of an object mapping `HAService` to relationships.
typedef boost::shared_ptr< HAServiceMapper > | isc::ha::HAServiceMapperPtr
| Pointer to an object mapping `HAService` to relationships.
typedef boost::shared_ptr< HAService > | isc::ha::HAServicePtr
| Pointer to the `HAService` class.